Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 212001 - app-portage/kuroo-0.80.2-r1 crashes in startup
Summary: app-portage/kuroo-0.80.2-r1 crashes in startup
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on: 250217
Blocks:
  Show dependency tree
 
Reported: 2008-03-01 18:08 UTC by Sara Nilsson
Modified: 2009-02-21 04:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sara Nilsson 2008-03-01 18:08:38 UTC
Kuroo version=0.80.2_110506_db47
Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
kbuildsycoca running...
DCOP Cleaning up dead connections.
kuroo: Create. Available db connections: 10 ( [void DbConnectionPool::createDbConnections()] Line: 1332 )
kuroo:  ( [void History::loadTimeStatistics()] Line: 331 )
kuroo:  ( [void ConfigDialog::parseMakeConf()] Line: 162 )
KCrash: Application 'kuroo' crashing...
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  7
  Minor opcode:  0
  Resource id:  0x2e00017

[?1034h(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0x00000000 in ?? ()
#7  0x080b0b8d in ?? ()
#8  0x08299c40 in ?? ()
#9  0x00000004 in ?? ()
#10 0xbfb98de0 in ?? ()
#11 0xb7415410 in QGListIterator::QGListIterator ()
   from /usr/qt/3/lib/libqt-mt.so.3
#12 0x080a912c in ?? ()
#13 0x082f77f8 in ?? ()
#14 0x00000000 in ?? ()

Portage 2.1.3.19 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22-gentoo-r5 i686)
=================================================================
System uname: 2.6.22-gentoo-r5 i686 Intel(R) Core(TM)2 CPU 6600 @ 2.40GHz
Timestamp of tree: Thu, 17 Jan 2008 10:17:01 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=prescott -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O3 -march=prescott -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.gentoo.se http://mirror.uni-c.dk/pub/gentoo"
LINGUAS="sv sv_SE en en_GB"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl alsa berkdb bitmap-fonts bzip2 cdr cjk cli cracklib crypt cups dri dvd dvdr emacs fortran gdbm gif gnome gpm gtk iconv imlib ipv6 isdnlog java jpeg jpeg2k midi mmx mpeg mudflap ncurses nls nptl nptlonly openmp pam pcre perl png pppd python readline reflection session spell spl sse sse2 ssl ssse3 tcpd tiff truetype truetype-fonts type1-fonts unicode usb x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="sv sv_SE en en_GB" USERLAND="GNU" VIDEO_CARDS="radeon vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


Reproducible: Always
Comment 1 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-03-02 08:59:48 UTC
Read http://www.gentoo.org/proj/en/qa/backtraces.xml on how to get a meaningful backtrace, and attach it here please.
Comment 2 Sara Nilsson 2008-03-02 17:39:40 UTC
Starting program: /usr/bin/kuroo 
[Thread debugging using libthread_db enabled]
[New Thread 0xb695d6d0 (LWP 12314)]
Kuroo version=0.80.2_110506_db47
Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
[New Thread 0xb686db90 (LWP 12315)]
[New Thread 0xb606cb90 (LWP 12316)]
[Thread 0xb686db90 (LWP 12315) exited]
[Thread 0xb606cb90 (LWP 12316) exited]
kuroo: Create. Available db connections: 10 ( [void DbConnectionPool::createDbConnections()] Line: 1332 )
kuroo:  ( [void History::loadTimeStatistics()] Line: 331 )
kuroo:  ( [void ConfigDialog::parseMakeConf()] Line: 162 )

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb695d6d0 (LWP 12314)]
0x00000000 in ?? ()
(gdb) X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  7
  Minor opcode:  0
  Resource id:  0x2000017
Comment 3 Sara Nilsson 2008-05-08 15:39:27 UTC
[?1034hUsing host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb69286d0 (LWP 5128)]
[KCrash handler]
#6  0x00000000 in ?? ()
#7  0x080b0b8d in QueueListView::insertPackageList (this=0x82f5680, 
    hasCheckedQueue=false) at queuelistview.cpp:314
#8  0x080a912c in QueueTab::slotRefresh (this=0x82f1c30) at queuetab.cpp:188
#9  0x080a919b in QueueTab::slotReload (this=0x82f1c30, hasCheckedQueue=false)
    at queuetab.cpp:206
#10 0x0806893d in KurooView::slotInit (this=0x82963c0) at kurooview.cpp:144
#11 0x08068a0c in KurooView::qt_invoke (this=0x82963c0, _id=46, _o=0xbfb0fda4)
    at kurooview.moc:103
#12 0xb712314e in QObject::activate_signal (this=0x82ba578, clist=0x839c110, 
    o=0xbfb0fda4) at kernel/qobject.cpp:2356
#13 0xb7436187 in QSignal::signal (this=0x82ba578, t0=@0x82ba5a0)
    at .moc/release-shared-mt/moc_qsignal.cpp:100
#14 0xb713d329 in QSignal::activate (this=0x82ba578) at kernel/qsignal.cpp:212
#15 0xb7143e99 in QSingleShotTimer::event (this=0x82ba550)
    at kernel/qtimer.cpp:286
#16 0xb70c8015 in QApplication::internalNotify (this=0xbfb10294, 
    receiver=0x82ba550, e=0xbfb10074) at kernel/qapplication.cpp:2635
#17 0xb70c8b72 in QApplication::notify (this=0xbfb10294, receiver=0x82ba550, 
    e=0xbfb10074) at kernel/qapplication.cpp:2358
#18 0xb76e34c3 in KApplication::notify (this=0xbfb10294, receiver=0x82ba550, 
    event=0xbfb10074) at kapplication.cpp:550
#19 0xb70bdd8a in QEventLoop::activateTimers (this=0x81c3698)
    at kernel/qapplication.h:496
#20 0xb707ae04 in QEventLoop::processEvents (this=0x81c3698, flags=4)
    at kernel/qeventloop_x11.cpp:389
#21 0xb70dd9cd in QEventLoop::enterLoop (this=0x81c3698)
    at kernel/qeventloop.cpp:198
#22 0xb70dd872 in QEventLoop::exec (this=0x81c3698)
    at kernel/qeventloop.cpp:145
#23 0xb70c7b3b in QApplication::exec (this=0xbfb10294)
    at kernel/qapplication.cpp:2758
#24 0x08067180 in main (argc=0, argv=0xbfb10484) at main.cpp:85
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-21 04:25:26 UTC
gone, wontfix